%global gohomepath github.com/muesli
%global goipath %{gohomepath}/duf
%global git_commit v0.8.1
%global git_dirty clean

Summary:        Disk Usage/Free Utility - a better 'df' alternative
Name:           duf
Version:        0.8.1
Release:        1%{?dist}
License:        MIT and BSD
URL:            https://github.com/muesli/duf
Source0:        %{url}/archive/%{git_commit}/%{name}-%{version}.tar.gz
# execute 'go mod vendor' under the source code path can generator vendor package
Source1:        %{name}-%{version}-vendor.tar.gz

BuildRequires:  golang >= 1.13 go-rpm-macros

%description
Disk Usage/Free Utility - a better 'df' alternative

%prep
%autosetup -n %{name}-%{version} -a1

%build
export GOPATH=$PWD/.gopath
mkdir -p ${GOPATH}/src/%{gohomepath}
ln -sfn $PWD $GOPATH/src/%{goipath}

export CGO_ENABLED=0
export GOFLAGS="-mod=vendor"
export LDFLAGS=" -X %{goipath}/internal/version.gitCommit=%{git_commit} \
                 -X %{goipath}/internal/version.gitTreeState=%{git_dirty} "
%gobuild -o duf %{goipath}

%install
install -p -Dm 0755 duf %{buildroot}/%{_bindir}/duf

%files
%license LICENSE
%doc README.md
%{_bindir}/duf

%changelog
* Fri Aug 02 2024 xiaoyunzhao <xiaoyunzhao@tencent.com> - 0.8.1-1
- inital build